DiagnosticsProvider (Neo4j Community 1.8.RC1 API)
Date: 2012-09-07

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Neo4j Community
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.neo4j.kernel.info
Interface DiagnosticsProvider

All Known Implementing Classes:
  Config

    public interface DiagnosticsProvider

Method Summary
`void` | `acceptDiagnosticsVisitor(Object visitor)` Accept a visitor that may or may not be capable of visiting this object.
`void` | `dump(DiagnosticsPhase phase, org.neo4j.kernel.impl.util.StringLogger log)` Dump the diagnostic information of this `DiagnosticsProvider` for the specified `phase` to the provided `log`.
`String` | `getDiagnosticsIdentifier()` Return an identifier for this `DiagnosticsProvider`.

Method Detail

### getDiagnosticsIdentifier

    String getDiagnosticsIdentifier()

  Return an identifier for this `DiagnosticsProvider`. The result of this method must be stable, i.e. invoking this method multiple times on the same object should return `equal` `strings`. For `DiagnosticsProvider`s where there is only one instance of that `DiagnosticsProvider`, an implementation like this is would be a sane default, given that the implementing class has a sensible name: `

       public String getDiagnosticsIdentifier()
       {
           return getClass().getName();
       }

  `

  Returns:
    the identifier of this diagnostics provider.

### acceptDiagnosticsVisitor

    void acceptDiagnosticsVisitor(Object visitor)

  Accept a visitor that may or may not be capable of visiting this object. Typical example: `

       class OperationalStatistics implements DiagnosticsProvider
       {
           public void acceptDiagnosticsVisitor( Object visitor )
           {
               if ( visitor instanceof OperationalStatisticsVisitor )
               {
                    ((OperationalStatisticsVisitor)visitor).visitOperationalStatistics( this );
               }
           }
       }

       interface OperationalStatisticsVisitor
       {
           void visitOperationalStatistics( OperationalStatistics statistics );
       }

  `

  Parameters:
    `visitor` - the visitor visiting this `DiagnosticsProvider`.

### dump

    void dump(DiagnosticsPhase phase,
              org.neo4j.kernel.impl.util.StringLogger log)

  Dump the diagnostic information of this `DiagnosticsProvider` for the specified `phase` to the provided `log`.

  Parameters:
    `phase` - the `phase` to dump information for.
    `log` - the `log` to dump information to.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Neo4j Community
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2002-2012 The Neo4j Graph Database Project. All Rights Reserved.